> For the complete documentation index, see [llms.txt](https://docs.hidemyacc.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hidemyacc.com/11.-hidemyacc-2.0-instructions/11.9.-hidemyacc-2.0-api/user/query-account-information-v2.0.md).

# Query account information (v2.0)

### <mark style="background-color:yellow;">Query Account Information</mark>

```
GET http://127.0.0.1:12368/me
```

### <mark style="background-color:yellow;">Examples</mark>

* Curl example

```
curl http://127.0.0.1:12368/me
```

* Javascript example

```
const hidemyacc = new Hidemyacc();
const user = await hidemyacc.me();
```

### <mark style="background-color:yellow;">Success response</mark>

**Success response - `Success 200`**

<table><thead><tr><th width="170.45295729537966">Name</th><th width="162.58144386971296">Type</th><th>Description</th></tr></thead><tbody><tr><td>data</td><td><code>Object</code></td><td>User information</td></tr><tr><td>data.affiliate</td><td><code>Number</code></td><td>Percentage for partners to join affiliate</td></tr><tr><td>data.createdAt</td><td><code>Date</code></td><td>Account creation date</td></tr><tr><td>data.email</td><td><code>email</code></td><td>Email Address</td></tr><tr><td>data.expireDate</td><td><code>Date</code></td><td>Expiration date</td></tr><tr><td>data.id</td><td><code>String</code></td><td>Id Account</td></tr><tr><td>data.lockEnabled</td><td><code>Boolean</code></td><td>Is the account locked or not?</td></tr><tr><td>data.plan</td><td><code>Object</code></td><td>Information about the subscription plan that the account is using</td></tr><tr><td>data.profiles</td><td><code>Number</code></td><td>Number of current profiles of the user</td></tr><tr><td>data.plan.maxProfiles</td><td><code>Number</code></td><td>Number of profiles that the subscription plan supports</td></tr><tr><td>data.plan.name</td><td><code>Number</code></td><td>Subcription plan's name</td></tr></tbody></table>

### <mark style="background-color:yellow;">Success response example</mark>

**Success response example - `Success-Example`**

```
HTTP/1.1 200 OK
{
    "code": 1,
    "data":
    {
        "affiliate": 10,
        "createdAt": "2021-03-11T10:47:58.666Z",
        "email": "test@hidemyacc.com",
        "expireDate": "2022-11-03T07:24:58.408Z",
        "id": "613c895e92097a1b0ea30b7b",
        "lockEnabled": false,
        "plan":
        {
            "maxProfiles": 1000,
            "name": "Business"
        },
        "profiles": 25
    }
}
```

### <mark style="background-color:yellow;">Error response</mark>

**Error response - `Error 4xx`**

| Name | Type | Description             |
| ---- | ---- | ----------------------- |
| 401  |      | Not logged into account |

### <mark style="background-color:yellow;">Error response example</mark>

**Error response example - `Response (example):`**

```
HTTP/1.1 401 Not Authenticated
{
  "code": 0,
  "message": "Unauthorized",
  "data": {}
}
```
